---
lang: en
title: 'API docs: repository.isbuiltintype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.isbuiltintype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [isBuiltinType](./repository.isbuiltintype.md)

## isBuiltinType() function

Check if the provided function is a built-in type provided by JavaScript and/or Node.js. E.g. `Number`<!-- -->, `Array`<!-- -->, `Buffer`<!-- -->, etc.

<b>Signature:</b>

```typescript
export declare function isBuiltinType(fn: Function): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | <code>Function</code> |  |

<b>Returns:</b>

`boolean`


